var DBClient = require("../db/client");
var config = require("../config.json");

module.exports = function(modId){
	var db = DBClient.db(config.db.host + ":" + config.db.port);
	var depsTable = db.useTable("deps");
	var abbrTable = db.useTable("abbr");
	return new Promise(function(resolve, reject){
		var abbrs = [];

		(function getDeps(modId){
			return abbrTable.select("last(abbr)", {
				modId: modId
			}).then(function(result){
				if(result && abbrs.indexOf(result.abbr) === -1){
					abbrs.push(result.abbr);
					return depsTable.select("depModId", {
						abbr: result.abbr
					}).then(function(result){
						return Promise.all(result.map(function(item){
							return getDeps(item.depModId);
						}));
					});
				}
			});
		})(modId).then(function(){
			resolve(abbrs.join(","));
		});
	});
};